### Enumeration

# Ggit DiffBinaryType

since: 1.0

#### Declaration

    enum Ggit.DiffBinaryType

#### Description [src]

When producing a binary diff, the binary data returned will be either the deflated full (“literal”) contents of the file, or the deflated binary delta between the two sides (whichever is smaller).

Available since: 1.0

#### Members

`GGIT_DIFF_BINARY_NONE`
  No description available.
  - Value: `0`
  - Nickname: `none`
  - Available since: 1.0
`GGIT_DIFF_BINARY_LITERAL`
  No description available.
  - Value: `1`
  - Nickname: `literal`
  - Available since: 1.0
`GGIT_DIFF_BINARY_DELTA`
  No description available.
  - Value: `2`
  - Nickname: `delta`
  - Available since: 1.0